/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.core.constants;

/**
 * HTTP header constants.
 *
 * @author Christian Bick
 * @since 14.03.2011
 */
public class HttpHeaders {

    /**
     * Accept
     */
    public static final String ACCEPT = "Accept";

    /**
     * Accept-Charset
     */
    public static final String ACCEPT_CHARSET = "Accept-Charset";

    /**
     * Content-Type
     */
    public static final String CONTENT_TYPE = "Content-Type";

    /**
     * Content-Type
     */
    public static final String CONTENT_LENGTH = "Content-Length";

    /**
     * Authorization
     */
    public static final String AUTHORIZATION = "Authorization";
}
