/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.core.constants;

/**
 * HTTP method constants.
 *
 * @author Christian Bick
 * @since 14.03.2011
 */
public class HttpMethods {
    /**
     * GET
     */
    public static final String GET = "GET";
    /**
     * POST
     */
    public static final String POST = "POST";
    /**
     * PUT
     */
    public static final String PUT = "PUT";
    /**
     * DELETE
     */
    public static final String DELETE = "DELETE";
    /**
     * HEAD
     */
    public static final String HEAD = "HEAD";
    /**
     * OPTIONS
     */
    public static final String OPTIONS = "OPTIONS";
    /**
     * TRACE
     */
    public static final String TRACE = "TRACE";
}
